'use strict';

var index = require('./index-pX0sBY0-.js');

const tabCss = () => `:host{display:block}`;

const IfxTab = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.tabHeaderChange = index.createEvent(this, "tabHeaderChange", 7);
    }
    get el() { return index.getElement(this); }
    /** Visible title text displayed in the tab header. */
    header;
    /** Disables the tab when true. */
    disabled;
    /** Icon displayed in the tab header. */
    icon = '';
    /** Position of the Icon relative to the header text. */
    iconPosition = 'left';
    /** Subline under the header, only for advanced variant. */
    subline;
    /** Text of the Advanced-Tab-Label */
    label;
    /** Number of the Advanced-Tab-Number */
    number = 0;
    /** Makes the tab header stick to the top of its scrolling oontainer */
    positionSticky = false;
    /** Emitted when tab header triggers a change (selection or property updates). */
    tabHeaderChange;
    componentWillUpdate() {
        this.tabHeaderChange.emit(this.header);
    }
    render() {
        return index.h("slot", { key: 'c8c8fa6fcf242731096e2c52e8b920c1c698bd51' });
    }
};
IfxTab.style = tabCss();

exports.ifx_tab = IfxTab;
